
%define firmware_name ipw2200

Name: firmware-%firmware_name-2.2
Version: 2.2
Release: alt2
License: distributable
Group: System/Kernel and hardware
Summary: Firmware for the Intel(R) PRO/Wireless 2200 Driver
Source0: %firmware_name-fw-%version.tgz
#Source1: ipw2x00_firmware_licence_Q_A.txt
Url: http://%firmware_name.sourceforge.net/firmware.php
BuildArch: noarch
Requires: hotplug
Provides: firmware-%firmware_name = %version
Obsoletes: firmware-%firmware_name

%description
This package contains the firmware for the ipw-2200 driver. Usage of
the firmware is subject to the terms contained in /%_lib/ipw2100-LICENSE.
Please read the license carefully.


%prep
%setup -q -c

%__tar -zxvf %SOURCE0

#cp %SOURCE1 .

%install
install -d $RPM_BUILD_ROOT/%_lib/firmware

install -p *.fw $RPM_BUILD_ROOT/%_lib/firmware
cp -df LICENSE $RPM_BUILD_ROOT/%_lib/firmware/%name-LICENSE

%files
%defattr(644,root,root,755)
#%doc ipw2x00_firmware_licence_Q_A.txt
/%_lib/firmware/%name-LICENSE
/%_lib/firmware/*.fw

%changelog
* Fri May 27 2005 Alexey Shabalin <shaba@altlinux.ru> 2.2-alt2
- rename package  firmware-%firmware_name-2.2 for kernel module v0.19-v1.0.3

* Thu Apr 07 2005 Alexey Shabalin <shaba@altlinux.ru> 2.2-alt1
- init release 
